### Class

# GdkWayland WaylandSeat

#### Description [src]

    final class GdkWayland.WaylandSeat : Gdk.Seat
    {
      /* No available fields */
    }

The Wayland implementation of `GdkSeat`.

Beyond the regular `GdkSeat` API, the Wayland implementation provides access to the Wayland `wl_seat` object with `gdk_wayland_seat_get_wl_seat()`.

#### Ancestors

- GdkSeat
- GObject

#### Instance methods

###### gdk_wayland_seat_get_wl_seat

Returns the Wayland `wl_seat` of a `GdkSeat`.

##### Methods inherited from GdkSeat (6)

###### gdk_seat_get_capabilities

Returns the capabilities this `GdkSeat` currently has.

###### gdk_seat_get_devices

Returns the devices that match the given capabilities.

###### gdk_seat_get_display

Returns the `GdkDisplay` this seat belongs to.

###### gdk_seat_get_keyboard

Returns the device that routes keyboard events.

###### gdk_seat_get_pointer

Returns the device that routes pointer events.

###### gdk_seat_get_tools

Returns all `GdkDeviceTools` that are known to the application.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GdkSeat (1)

###### Gdk.Seat:display

`GdkDisplay` of this seat.

#### Signals

##### Signals inherited from GdkSeat (4)

###### GdkSeat::device-added

Emitted when a new input device is related to this seat.

###### GdkSeat::device-removed

Emitted when an input device is removed (e.g. unplugged).

###### GdkSeat::tool-added

Emitted whenever a new tool is made known to the seat.

###### GdkSeat::tool-removed

Emitted whenever a tool is no longer known to this `seat`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GdkWaylandWaylandSeatClass {
      /* no available fields */
    }

No description available.